W(1)

NAMN
w — Visa vem som är inloggad och vad de gör.

SYNOPSIS
w [flaggor] användare […]

BESKRIVNING
w visar information om de användare som för närvarande är inloggade på maskinen, och deras processer. Huvudet visar, i denna ordning, aktuell tid, hur länge systemet har kört, hur många användare som för närvarande är inloggade och systemets lastgenomsnitt de senaste 1, 5 och 15 minuterna.

Följande poster visas för varje användare: inloggningsnamn, tty-namnet, fjärrvärden, inloggningstid, inaktiv tid, JCPU, PCPU och kommandoraden för deras aktuella process.

JCPU-tiden är tiden som använts av alla processer kopplade till tty:n. Det inkluderar inte tidigare bakgrundsjobb, men det inkluderar de för närvarande körande bakgrundsjobben.

PCPU-tiden är tiden som används av den aktuella processen, med namnet i ”vad”-fältet.

KOMMANDORADSFLAGGOR

-h, --no-header
    Skriv inte ut huvudet.

-u, --no-current
    Ignores the username while figuring out the current process and cpu times. To demonstrate this, do a su and do a w and a w -u.

-s, --short
    Använd kort format. Skriv inte ut inloggningstid, JCPU- eller PCPU-tider.

-f, --from
    Växla utskriften av fältet från (fjärrvärdsnamn). Standard i utgåvan är att fältet från inte visas, men din systemadministratör eller distributionsansvarige kan ha kompilerat en version i vilken fältet från visas som standard.

--help
    Visa hjälptext och avsluta.

-i, --ip-addr
    Visa IP-adress istället för värdnamn i fältet från.

-V, --version
    Visa versionsinformation.

-o, --old-style
    Gammaldags utmatning. Skriver mellanslag för inaktiva tider mindre än en minut.

användare
    Visa endast information om den angivna användaren.

MILJÖ

PROCPS_USERLEN
    Åsidosätt standardbredden på kolumnen för användarnamn. Standard är 8.

PROCPS_FROMLEN
    Åsidosätt standardbredden på kolumnen från. Standard är 16.

FILER

/var/run/utmp
    information om vem som är inloggad för närvarande

/proc
    processinformation

SE ÄVEN
free(1), ps(1), top(1), uptime(1), utmp(5), who(1)

UPPHOVSMÄN
w skrevs om nästan fullständigt av Charles Blake, baserat på versionen av Larry Greenfield (greenfie@gauss.rutgers.edu) och Michael K. Johnson (johnsonm@redhat.com)

RAPPORTERA FEL
Skicka felrapporter till procps@freelists.org Skicka synpunkter på översättningen till tp-sv@listor.tp-sv.se